 --
  -- rotations
     -- This is the specialization for combine
     -- Claas Dominator 105 script by surciHUN and Ladaman
     --
     -- Copyright (C) LSHCV-Team 2011, All Rights Reserved*Hungarian modders*.
     
    rotations = {};
    function rotations.prerequisitesPresent(specializations)
        return SpecializationUtil.hasSpecialization(Cutter, specializations);
    end;
    
    function rotations:load(xmlFile)
		self.rotpart = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotpart#index"));
        self.rotpart2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotpart2#index"));
		self.rotpart3 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotpart3#index"));
    end;

	
   function rotations:delete()  
   end;
   
 
     
   function rotations:mouseEvent(posX, posY, isDown, isUp, button)
   end;
   
   function rotations:keyEvent(unicode, sym, modifier, isDown)
   end;
   
   function rotations:update(dt)
   
      
				if self.reelStarted then
							rotate(self.rotpart3, dt*0.01, 0, 0);
							rotate(self.rotpart, dt*0.01, 0, 0);
							rotate(self.rotpart2, dt*0.01, 0, 0);
						
					
				
				end;
			
   end;
   
function rotations:updateTick(dt)
      
end;
  
function rotations:draw()
      
end;
  

  